﻿//------------------------------------------------------------------------------
// <auto-generated>
//     Этот код создан программой.
//     Исполняемая версия:4.0.30319.42000
//
//     Изменения в этом файле могут привести к неправильной работе и будут потеряны в случае
//     повторной генерации кода.
// </auto-generated>
//------------------------------------------------------------------------------

namespace TerminalSharedDataModels.DataModel.Motherboard
{
    using System.Runtime.Serialization;
    
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="MotherboardStateDataModel", Namespace="http://schemas.datacontract.org/2004/07/TerminalSharedDataModels.DataModel.Mother" +
        "board")]
    public partial class MotherboardStateDataModel : object, System.Runtime.Serialization.IExtensibleDataObject
    {
        
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        private bool bConnectionOKField;
        
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData
        {
            get
            {
                return this.extensionDataField;
            }
            set
            {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public bool bConnectionOK
        {
            get
            {
                return this.bConnectionOKField;
            }
            set
            {
                this.bConnectionOKField = value;
            }
        }
    }
}


[System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
[System.ServiceModel.ServiceContractAttribute(Namespace="TerminalMotherboardAdapterService.Service.MotherboardStateService", ConfigurationName="IMotherboardStateService")]
public interface IMotherboardStateService
{
    
    [System.ServiceModel.OperationContractAttribute(Action="TerminalMotherboardAdapterService.Service.MotherboardStateService/IMotherboardSta" +
        "teService/GetState", ReplyAction="TerminalMotherboardAdapterService.Service.MotherboardStateService/IMotherboardSta" +
        "teService/GetStateResponse")]
    TerminalSharedDataModels.DataModel.Motherboard.MotherboardStateDataModel GetState();
    
    [System.ServiceModel.OperationContractAttribute(Action="TerminalMotherboardAdapterService.Service.MotherboardStateService/IMotherboardSta" +
        "teService/GetState", ReplyAction="TerminalMotherboardAdapterService.Service.MotherboardStateService/IMotherboardSta" +
        "teService/GetStateResponse")]
    System.Threading.Tasks.Task<TerminalSharedDataModels.DataModel.Motherboard.MotherboardStateDataModel> GetStateAsync();
}

[System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
public interface IMotherboardStateServiceChannel : IMotherboardStateService, System.ServiceModel.IClientChannel
{
}

[System.Diagnostics.DebuggerStepThroughAttribute()]
[System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
public partial class MotherboardStateServiceClient : System.ServiceModel.ClientBase<IMotherboardStateService>, IMotherboardStateService
{
    
    public MotherboardStateServiceClient()
    {
    }
    
    public MotherboardStateServiceClient(string endpointConfigurationName) : 
            base(endpointConfigurationName)
    {
    }
    
    public MotherboardStateServiceClient(string endpointConfigurationName, string remoteAddress) : 
            base(endpointConfigurationName, remoteAddress)
    {
    }
    
    public MotherboardStateServiceClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
            base(endpointConfigurationName, remoteAddress)
    {
    }
    
    public MotherboardStateServiceClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
            base(binding, remoteAddress)
    {
    }
    
    public TerminalSharedDataModels.DataModel.Motherboard.MotherboardStateDataModel GetState()
    {
        return base.Channel.GetState();
    }
    
    public System.Threading.Tasks.Task<TerminalSharedDataModels.DataModel.Motherboard.MotherboardStateDataModel> GetStateAsync()
    {
        return base.Channel.GetStateAsync();
    }
}
